const fs = require('fs-extra')
const replace = require('replace-in-file')

fs.copy('build/nav', 'build/preact/nav', err => {
  if (err) return console.error('copy: ' + err)

  replaceText({
    files: `build/preact/nav/**/*.js`,
    from: `React = require('react')`,
    to: `{Component, h} = require('preact')`
  }).then(() => replaceText({
    files: `build/preact/nav/**/*.js`,
    from: /React.Component/g,
    to: `Component`
  }).then(() => replaceText({
    files: `build/preact/nav/**/*.js`,
    from: /React.createElement/g,
    to: `h`
  }).then(() => replaceText({
    files: `build/preact/nav/**/*.js`,
    from: `require('react-dom')`,
    to: `require('preact')`
  }))))

  console.log('success!')
})

function replaceText (opts) {
  return replace(opts)
    .then(changes => console.log('Modified files:', changes.join(', ')))
    .catch(error => console.error('Error occurred:', error))
}
