'use strict';

const React = require('react');
const { render } = require('react-dom');
const CodeWidget = require('./index');

function renderMongoCodeWidget(rootNode, props, next) {
  function onReady() {
    render(React.createElement(CodeWidget, props), document.querySelector(rootNode), function () {
      return next && next();
    });
  }

  function onload() {
    document.removeEventListener('DOMContentLoaded', onload);
    window.removeEventListener('load', onload);
    onReady();
  }

  if (/^loaded|^i|^c/.test(document.readyState)) {
    onReady();
  } else {
    document.addEventListener('DOMContentLoaded', onload);
    window.addEventListener('load', onload);
  }
}

window.MongoCodeWidget = {
  render: renderMongoCodeWidget
};