'use strict';

module.exports = Section;

const React = require('react');
const NavCTA = require('../nav-cta');

function Link(props) {
  const content = props.bold || props.link ? React.createElement(
    'strong',
    null,
    props.text
  ) : props.text;

  if (!props.href) {
    return React.createElement(
      'li',
      { className: props.className },
      content
    );
  }

  return React.createElement(
    'a',
    {
      style: props.style,
      href: props.href,
      className: props.className,
      target: props.newTab ? '_blank' : '_self' },
    React.createElement(
      'li',
      null,
      content
    )
  );
}

function Section(props) {
  return React.createElement(
    'div',
    { className: 'm-nav-flex-space' },
    props.cta && React.createElement(NavCTA, {
      first: props.count === 0,
      header: props.cta.header,
      links: props.cta.links }),
    (props.midSection.link ? [[props.midSection]] : []).concat(props.linkLists || []).map(function (links, i) {
      return React.createElement(
        'ul',
        { key: i },
        links.map(function (item, j) {
          return React.createElement(Link, {
            key: `${i}.${j}`,
            bold: item.bold,
            link: item.link,
            text: props.isMobile && item.mobileText ? item.mobileText : item.text,
            href: item.href,
            className: item.className,
            style: item.style,
            newTab: item.newTab });
        })
      );
    })
  );
}