'use strict';

module.exports = NavCTA;

const React = require('react');

function NavCTA(props) {
  return React.createElement(
    'div',
    { className: `m-nav-cta ${props.first ? 'm-nav-cta-first' : ''}` },
    React.createElement(
      'h2',
      null,
      props.header
    ),
    React.createElement(
      'ul',
      null,
      props.links.map(renderLink)
    )
  );
}

function renderLink(link, i) {
  return React.createElement(
    'a',
    { key: i, href: link.href },
    React.createElement(
      'li',
      null,
      React.createElement(
        'strong',
        null,
        link.text
      )
    )
  );
}