'use strict';

module.exports = NavCTA;

const {Component, h} = require('preact');

function NavCTA(props) {
  return h(
    'div',
    { className: `m-nav-cta ${props.first ? 'm-nav-cta-first' : ''}` },
    h(
      'h2',
      null,
      props.header
    ),
    h(
      'ul',
      null,
      props.links.map(renderLink)
    )
  );
}

function renderLink(link, i) {
  return h(
    'a',
    { key: i, href: link.href },
    h(
      'li',
      null,
      h(
        'strong',
        null,
        link.text
      )
    )
  );
}