const React = require('react')
const {render} = require('react-dom')
const Nav = require('./index')

function renderMongoNav (rootNode, props, next) {
  function onReady () {
    render(
      <Nav {...props} />,
      document.querySelector(rootNode),
      function () { return next && next() })
  }

  function onload () {
    document.removeEventListener('DOMContentLoaded', onload)
    window.removeEventListener('load', onload)
    onReady()
  }

  if (/^loaded|^i|^c/.test(document.readyState)) {
    onReady()
  } else {
    document.addEventListener('DOMContentLoaded', onload)
    window.addEventListener('load', onload)
  }
}

window.MongoNav = {
  render: renderMongoNav
}
