const path = require('path')
const webpack = require('webpack')

const components = [
  'nav',
  'code-widget'
]

module.exports = components.map(component => ({
  entry: {
    'index': [
      `./src/${component}/index.js`,
      `./src/${component}/standalone.js`
    ]
  },
  module: {
    loaders: [
      {
        test: /\.js$/,
        loader: 'babel-loader',
        exclude: /node_modules/,
        options: {
          presets: ['react', 'es2015'],
          plugins: ['transform-strict-mode']
        }
      }
    ]
  },
  output: {
    path: path.join(__dirname, 'public', component),
    filename: '[name].js'
  },
  plugins: [
    new webpack.optimize.OccurrenceOrderPlugin(),
    new webpack.DefinePlugin({
      '__dev__': process.env.NODE_ENV === 'development'
    })
  ].concat(process.env.NODE_ENV === 'production'
    ? [
      new webpack.optimize.UglifyJsPlugin({
        compress: { warnings: false }
      })
    ] : [])
}))
